nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Protected Member Functions | List of all members
nx::vms_server_plugins::analytics::sample::DeviceAgent Class Reference
Inheritance diagram for nx::vms_server_plugins::analytics::sample::DeviceAgent:

## Public Member Functions
| DeviceAgent (const nx::sdk::IDeviceInfo *deviceInfo)
Public Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
virtual void | setHandler (IHandler *handler) override
Public Member Functions inherited from nx::sdk::RefCountable< IConsumingDeviceAgent >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const

## Protected Member Functions
virtual std::string | manifestString () const override
virtual bool | pushCompressedVideoFrame (nx::sdk::Ptr< const nx::sdk::analytics::ICompressedVideoPacket > videoFrame) override
virtual bool | pullMetadataPackets (std::vector< nx::sdk::Ptr< nx::sdk::analytics::IMetadataPacket >> *metadataPackets) override
Protected Member Functions inherited from nx::sdk::analytics::ConsumingDeviceAgent
| ConsumingDeviceAgent (const IDeviceInfo *deviceInfo, bool enableOutput, const std::string &integrationInstanceId="")
virtual bool | pushUncompressedVideoFrame (Ptr< const IUncompressedVideoFrame >)
virtual bool | pushCustomMetadataPacket (Ptr< const ICustomMetadataPacket >)
virtual bool | pullMetadataPackets (std::vector< Ptr< IMetadataPacket >> *)
void | pushMetadataPacket (Ptr< IMetadataPacket > metadataPacket)
void | pushIntegrationDiagnosticEvent (IIntegrationDiagnosticEvent::Level level, std::string caption, std::string description) const
virtual nx::sdk::Result< const nx::sdk::ISettingsResponse * > | settingsReceived ()
std::string | settingValue (const std::string &settingName) const
std::map< std::string, std::string > | currentSettings () const
void | pushManifest (const std::string &pushManifest)
virtual void | finalize () override
virtual void | doGetSettingsOnActiveSettingChange (Result< const IActiveSettingChangedResponse *> *, const IActiveSettingChangedAction *) override
virtual void | doPushDataPacket (Result< void > *outResult, IDataPacket *dataPacket) override
virtual void | doSetSettings (Result< const ISettingsResponse *> *outResult, const IStringMap *settings) override
virtual void | getIntegrationSideSettings (Result< const ISettingsResponse *> *) const override
virtual void | getManifest (Result< const IString *> *outResult) const override
virtual void | doSetNeededMetadataTypes (Result< void > *, const IMetadataTypes *) override

## Additional Inherited Members
Protected Attributes inherited from nx::sdk::analytics::ConsumingDeviceAgent
const LogUtils | logUtils

## Constructor & Destructor Documentation

## ◆ DeviceAgent()

nx::vms_server_plugins::analytics::sample::DeviceAgent::DeviceAgent | ( | const nx::sdk::IDeviceInfo * | deviceInfo | ) |

Parameters

  deviceInfo | Various information about the related device, such as its id, vendor, model, etc.

## Member Function Documentation

## ◆ manifestString()

std::string nx::vms_server_plugins::analytics::sample::DeviceAgent::manifestString | ( |  | ) | const
| overrideprotectedvirtual

Returns
  JSON with the particular structure. Note that it is possible to fill in the values that are not known at compile time, but should not depend on the DeviceAgent settings.

Implements nx::sdk::analytics::ConsumingDeviceAgent.

## ◆ pushCompressedVideoFrame()

bool nx::vms_server_plugins::analytics::sample::DeviceAgent::pushCompressedVideoFrame | ( | nx::sdk::Ptr< const nx::sdk::analytics::ICompressedVideoPacket > | videoFrame | ) |
| overrideprotectedvirtual

Called when the Server sends a new compressed frame from a camera.

Reimplemented from nx::sdk::analytics::ConsumingDeviceAgent.

The documentation for this class was generated from the following files:

- samples/analytics/sample_analytics_plugin/src/nx/vms_server_plugins/analytics/sample/device_agent.h
- samples/analytics/sample_analytics_plugin/src/nx/vms_server_plugins/analytics/sample/device_agent.cpp